Subject: Re: powerpc/mpc85xx: Remove P1023 RDS support

From: Emil Medve <[email-masked]>
Date: Sat, 3 May 2014 01:44:30 -0500

Hello Scott,

On 05/02/2014 07:13 PM, Scott Wood wrote:
> On Fri, Apr 18, 2014 at 12:18:00PM -0500, Lijun Pan wrote:
>> P1023RDS is no longer supported by Freescale while P1023RDB is still supported.
> 
> Please wrap changelogs at no more than 75 columns.
> 
>> Signed-off-by: Lijun Pan <[email-masked]>
>>
>> ---
>> arch/powerpc/boot/dts/p1023rds.dts                 | 219 ---------------------
>>  arch/powerpc/configs/mpc85xx_defconfig             |   1 -
>>  arch/powerpc/configs/mpc85xx_smp_defconfig         |   1 -
>>  arch/powerpc/platforms/85xx/Kconfig                |   6 +-
>>  arch/powerpc/platforms/85xx/Makefile               |   2 +-
>>  .../platforms/85xx/{p1023_rds.c => p1023_rdb.c}    |  36 +---
>>  6 files changed, 10 insertions(+), 255 deletions(-)
>>  delete mode 100644 arch/powerpc/boot/dts/p1023rds.dts
>>  rename arch/powerpc/platforms/85xx/{p1023_rds.c => p1023_rdb.c} (75%)
> 
> As discussed internally, I'd like to see more of an explanation for why
> it should be removed upstream -- what sort of maintenance burden it's
> causing, or why this board should be considered of so little interest to
> users that we should remove it regardless of current maintenance burden.

When discussed internally I believe we addressed these points but I
guess not to your satisfaction. I suspect you're not asking for a replay
so I'm trying to get actual numbers of boards sold hoping that would
make the conversation a bit more objective

Cheers,